Archive

Archive for June, 2018

Uberspace, Dokuwiki und PHP 5.x

June 5th, 2018 No comments

Heute war es mal wieder an der Zeit, meine Dokuwiki bei Uberspace zu aktualisieren.

Nach dem Update lieferte die Installation jedoch einen Fehlercode 500, Internal Server Error.

Um der Sache auf den Grund zu gehen habe ich PHP im Terminal ausgeführt:

[foobar@perseus wiki]$ php doku.php
PHP Parse error:  syntax error, unexpected 'class' (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or '{' or '$' in /var/www/virtual/foobar/html/wiki/inc/ActionRouter.php on line 95

Eine Google-Suche ergab, dass die neue Dokuwiki Version mindestens PHP 5.6 braucht.
Und hier war der Knackpunkt:

[foobar@perseus wiki]$ php -v
PHP 5.4.4 (cli) (built: Jul 14 2012 12:58:04)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies

Uberspace hat einen sehr schönen Mechanismus, die PHP-Version einzustellen. Dazu gibt es die Konfigurationsdatei ~/etc/phpversion. In dieser trägt man die gewünschte Version ein und startet anschließend die PHP-Prozesse neu mit

[foobar@perseus ~]$ killall php-cgi

Und schon funktioniert auch das neue Dokuwiki.

Categories: Linux Tags: